# OpalRFC4175Decoder Class Reference

`#include <rfc4175.h>`

Inheritance diagram for OpalRFC4175Decoder:

[legend]
Collaboration diagram for OpalRFC4175Decoder:
[legend]

## Public Member Functions

| OpalRFC4175Decoder (const OpalMediaFormat &inputMediaFormat, const OpalMediaFormat &outputMediaFormat)
| ~OpalRFC4175Decoder ()
virtual PINDEX | PixelsToBytes (PINDEX pixels) const =0
virtual PINDEX | BytesToPixels (PINDEX pixels) const =0
bool | ConvertFrames (const RTP_DataFrame &input, RTP_DataFrameList &output)

## Protected Member Functions

void | DecodeFramesAndSetFrameSize (RTP_DataFrameList &output)
virtual bool | DecodeFrames (RTP_DataFrameList &output)=0

## Protected Attributes

RTP_DataFrameList | m_inputFrames
std::vector< PINDEX > | m_scanlineCounts
PINDEX | m_frameWidth
PINDEX | m_frameHeight
bool | m_first
bool | m_missingPackets
PINDEX | m_maxWidth
PINDEX | m_maxHeight
DWORD | m_nextSequenceNumber
DWORD | m_lastTimeStamp
DWORD | m_timeStampOfFrame
DWORD | m_firstSequenceOfFrame

## Constructor & Destructor Documentation

OpalRFC4175Decoder::OpalRFC4175Decoder | ( | const OpalMediaFormat & | inputMediaFormat,
|  | const OpalMediaFormat & | outputMediaFormat |
| ) |  |  |

Parameters:

  inputMediaFormat | Input media format
  outputMediaFormat | Output media format

OpalRFC4175Decoder::~OpalRFC4175Decoder | ( |  | ) |

## Member Function Documentation

virtual PINDEX OpalRFC4175Decoder::BytesToPixels | ( | PINDEX | pixels | ) | const`[pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

bool OpalRFC4175Decoder::ConvertFrames | ( | const RTP_DataFrame & | input,
|  | RTP_DataFrameList & | output |
| ) |  |  | `[virtual]`

Convert the data from one format to another. This function takes the input data as a RTP_DataFrame and converts it to its output format, placing it (possibly) into multiple RTP_DataFrame objects.

The default behaviour makes sure the output list has only one element in it and calls the Convert() function.

Returns false if the conversion fails.

Reimplemented from OpalTranscoder.

virtual bool OpalRFC4175Decoder::DecodeFrames | ( | RTP_DataFrameList & | output | ) | `[protected, pure virtual]`

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

void OpalRFC4175Decoder::DecodeFramesAndSetFrameSize | ( | RTP_DataFrameList & | output | ) | `[protected]`

virtual PINDEX OpalRFC4175Decoder::PixelsToBytes | ( | PINDEX | pixels | ) | const`[pure virtual]`

Implements OpalRFC4175Transcoder.

Implemented in Opal_RFC4175YCbCr420_to_YUV420P, and Opal_RFC4175RGB_to_RGB24.

## Field Documentation

bool OpalRFC4175Decoder::m_first `[protected]`

DWORD OpalRFC4175Decoder::m_firstSequenceOfFrame `[protected]`

PINDEX OpalRFC4175Decoder::m_frameHeight `[protected]`

PINDEX OpalRFC4175Decoder::m_frameWidth `[protected]`

RTP_DataFrameList OpalRFC4175Decoder::m_inputFrames `[protected]`

DWORD OpalRFC4175Decoder::m_lastTimeStamp `[protected]`

PINDEX OpalRFC4175Decoder::m_maxHeight `[protected]`

PINDEX OpalRFC4175Decoder::m_maxWidth `[protected]`

bool OpalRFC4175Decoder::m_missingPackets `[protected]`

DWORD OpalRFC4175Decoder::m_nextSequenceNumber `[protected]`

std::vector<PINDEX> OpalRFC4175Decoder::m_scanlineCounts `[protected]`

DWORD OpalRFC4175Decoder::m_timeStampOfFrame `[protected]`

The documentation for this class was generated from the following file:

- rfc4175.h